<template>
  <StyledWrapper>
      <StyledCircle>
        <StyledImage :src="imageSrc" />
      </StyledCircle>
      <StyledName>{{ artistName }}</StyledName>
  </StyledWrapper>

</template>

<script>

import {
  StyledWrapper, StyledCircle, StyledImage, StyledName,
} from '../../../styles/Atoms/AtomArtistCard/AtomArtistCard';

export default {
  name: 'AtomArtistCard',

  components: {
    StyledImage,
    StyledWrapper,
    StyledName,
    StyledCircle,
  },

  props: {
    imageSrc: {
      type: String,
      required: true,
    },
    artistName: {
      type: String,
      required: true,
    },
  },
};
</script>
